Module tdlight.api
Package it.tdlight.jni

# Class TdApi.KeyboardButtonTypeRequestUsers

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.KeyboardButtonType
it.tdlight.jni.TdApi.KeyboardButtonTypeRequestUsers

Enclosing class:
  TdApi

public static final class TdApi.KeyboardButtonTypeRequestUsers extends TdApi.KeyboardButtonType
A button that requests users to be shared by the current user; available only in private chats. Use the method shareUsersWithBot to complete the request.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`id`
Unique button identifier.
`int`
`maxQuantity`
The maximum number of users to share.
`boolean`
`restrictUserIsBot`
True, if the shared users must or must not be bots.
`boolean`
`restrictUserIsPremium`
True, if the shared users must or must not be Telegram Premium users.
`boolean`
`userIsBot`
True, if the shared users must be bots; otherwise, the shared users must not be bots.
`boolean`
`userIsPremium`
True, if the shared users must be Telegram Premium users; otherwise, the shared users must not be Telegram Premium users.

## Constructor Summary

Constructors
Constructor
Description
`KeyboardButtonTypeRequestUsers()`
A button that requests users to be shared by the current user; available only in private chats.
`KeyboardButtonTypeRequestUsers(int id, boolean restrictUserIsBot, boolean userIsBot, boolean restrictUserIsPremium, boolean userIsPremium, int maxQuantity)`
A button that requests users to be shared by the current user; available only in private chats.
`KeyboardButtonTypeRequestUsers(DataInput input)`
A button that requests users to be shared by the current user; available only in private chats.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
Unique button identifier.

### restrictUserIsBot

public boolean restrictUserIsBot
True, if the shared users must or must not be bots.

### userIsBot

public boolean userIsBot
True, if the shared users must be bots; otherwise, the shared users must not be bots. Ignored if restrictUserIsBot is false.

### restrictUserIsPremium

public boolean restrictUserIsPremium
True, if the shared users must or must not be Telegram Premium users.

### userIsPremium

public boolean userIsPremium
True, if the shared users must be Telegram Premium users; otherwise, the shared users must not be Telegram Premium users. Ignored if restrictUserIsPremium is false.

### maxQuantity

public int maxQuantity
The maximum number of users to share.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### KeyboardButtonTypeRequestUsers

public KeyboardButtonTypeRequestUsers()
A button that requests users to be shared by the current user; available only in private chats. Use the method shareUsersWithBot to complete the request.

### KeyboardButtonTypeRequestUsers

public KeyboardButtonTypeRequestUsers(int id, boolean restrictUserIsBot, boolean userIsBot, boolean restrictUserIsPremium, boolean userIsPremium, int maxQuantity)
A button that requests users to be shared by the current user; available only in private chats. Use the method shareUsersWithBot to complete the request.

Parameters:
  `id` - Unique button identifier.
  `restrictUserIsBot` - True, if the shared users must or must not be bots.
  `userIsBot` - True, if the shared users must be bots; otherwise, the shared users must not be bots. Ignored if restrictUserIsBot is false.
  `restrictUserIsPremium` - True, if the shared users must or must not be Telegram Premium users.
  `userIsPremium` - True, if the shared users must be Telegram Premium users; otherwise, the shared users must not be Telegram Premium users. Ignored if restrictUserIsPremium is false.
  `maxQuantity` - The maximum number of users to share.

### KeyboardButtonTypeRequestUsers

public KeyboardButtonTypeRequestUsers(DataInput input) throws IOException
A button that requests users to be shared by the current user; available only in private chats. Use the method shareUsersWithBot to complete the request.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`